Xfce Foundation Classes
Main Page | Index | Namespace List | Alphabetical List | Class List | File List

# filechooserdialog.hh File Reference

A GtkFileChooserDialog C++ wrapper interface. More...

`#include <xfc/gtk/dialog.hh>`
`#include <xfc/gtk/filechooser.hh>`
`#include <gtk/gtkfilechooserdialog.h>`
`#include <xfc/gtk/inline/filechooserdialog.inl>`

## Namespaces

- namespace Xfc
- namespace Xfc::Gtk

## Classes

- class Xfc::Gtk::FileChooserDialog
    A GtkFileChooserDialog C++ wrapper class. More...
- class Xfc::Gtk::FileChooserOpenDialog
    A GtkFileChooserDialog "File/Open" C++ wrapper class. More...
- class Xfc::Gtk::FileChooserSaveAsDialog
    A GtkFileChooserDialog "File/Save as" C++ wrapper class. More...

## Detailed Description

A GtkFileChooserDialog C++ wrapper interface.

Provides FileChooserDialog, a dialog box suitable for "File/Open" or "File/Save" commands.
Xfce Foundation Classes

Copyright © 2004-2005 The XFC Development Team | XFC 4.3